BLKZONE(8)

BEZEICHNUNG
blkzone - Zonenbefehle auf einem Gerät ausführen

ÜBERSICHT
blkzone Befehl [Optionen] Gerät

BESCHREIBUNG
blkzone wird zum Ausführen von Zone-Befehlen auf Geräten verwendet, die »Zoned Block Commands« (ZBC) oder »Zoned-device ATA Commands« (ZAC) unterstützen. Die Zonen, auf denen es agieren soll, werden durch Optionen angegeben, die den Versatz, die Anzahl oder die Länge bezeichnen.

Das Argument Gerät ist der Pfadname zu dem blockorientierten Gerät.

BEFEHLE

  report
Der Befehl blkzone report wird zum Melden von Informationen zu Gerätezonen verwendet.

Standardmäßig meldet der Befehl alle Zonen ab dem Beginn des blockorientierten Geräts. Zum Anpassen dieses Verhaltens können Optionen angegeben werden, welche die Startzone oder die Größe der Meldung beeinflussen, wie nachfolgend beschrieben. Berichtsausgabe
start | Zonen-Startsektor
len | Zonenlänge in Anzahl der Sektoren
wptr | Schreibzeigerposition in der Zone
reset | Zurücksetzen des Schreibzeigers empfohlen
non-seq | Nicht-sequenzielle Schreibressourcen sind aktiv
cond | Zonenbedingung
type | Zonentyp
Zonenebedingungen
cl | Geschlossen
nw | Kein Schreibzeiger
em | Leer
fu | Voll
oe | Explizit geöffnet
oi | Implizit geöffnet
ol | Offline
ro | Schreibgeschützt
x? | Reservierte Bedingungen (sollte nicht berichtet werden)

  reset
Mit dem Befehl blkzone reset können Sie eine oder mehrere Zonen zurücksetzen. Im Gegensatz zu sg_reset_wp(8) agiert dieser Befehl auf Blockebene und kann einen Bereich von Zonen zurücksetzen.

Standardmäßig agiert der Befehl ab der Zone im Gerätesektor 0 und setzt alle Zonen zurück. Mittels Optionen können Sie dieses Verhalten anpassen und die Aktion angeben, die auf die Zone angewendet werden soll, wie nachfolgend beschrieben.

OPTIONEN
Den Optionsargumente Versatz und Länge können die multiplikative Suffixe KiB (=1024), MiB (=1024*1024) und so weiter für GiB, TiB, PiB, EiB, ZiB und YiB (das »iB« ist optional, z.B. ist »K« gleichbedeutend mit »KiB«) oder die Suffixe KB (=1000), MB (=1000*1000), und so weiter für GB, TB, PB, EB, ZB und YB folgen. Außerdem können Sie mit dem Präfix 0x den Versatz und die Länge in hexadezimaler Notation angeben.

-o, --offset Sektor
    gibt die Startzone als Sektorenversatz an. Der angegebene Versatz in Sektoreinheiten (512 Byte) sollte dem Beginn der Zone entsprechen. Der Standardwert ist 0.

-l, --length Sektoren
    gibt die maximale Anzahl der Sektoren an, auf denen der Befehl agieren soll. Der Standardwert ist die Anzahl der Sektoren, die nach dem angegebenen Versatz verbleiben. Diese Option kann nicht zusammen mit der Option --count verwendet werden.

-c, --count Anzahl
    gibt die maximale Anzahl der Zonen an, auf denen der Befehl agieren soll. Der Standardwert ist die Anzahl der Zonen beginnend bei dem angegebenen Versatz. Diese Option kann nicht zusammen mit der Option --length verwendet werden.

-v, --verbose
    zeigt die Anzahl der im Bericht zurückgemeldeten Zonen oder den Bereich der zurückgesetzten Sektoren an.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

AUTOREN
Shaun Tancheff <shaun@tancheff.com>
Karel Zak <kzak@redhat.com>

SIEHE AUCH
sg_rep_zones(8)

VERFÜGBARKEIT
Der Befehl »blkzone« ist Teil des Pakets util-linux, welches aus dem Linux Kernel-Archiv (https://www.kernel.org/pub/linux/utils/util-linux/) heruntergeladen werden kann.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.